<!--
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages).

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages).
-->

A Flutter package for building a photo editing app with features like selecting images or
taking pictures from the camera, cropping, adding text, brushing, flipping, rotating,
blurring, applying filters, adding emojis, adding images, adding frames, and saving images to the gallery.


## Features

Select an image from the gallery or take a picture from the camera.
Crop the image to desired dimensions.
Add text to the image with customizable fonts, colors, and sizes.
Brush tool for freehand drawing on the image.
Flip and rotate the image.
Blur parts of the image.
Apply various filters to the image.
Add emojis to the image.
Add additional images as layers.
Add frames to the image.
Save the edited image to the gallery.


## Getting started

To use this package, add photo_editor_pro as a dependency in your pubspec.yaml file.
dependencies:
       photo_editor_pro:

Then, import the package in your Dart code:
import 'package:photo_editor_pro/photo_editor_pro.dart';


## Usage

A person who want to build app like photo_editing,they can use this package.
directly call the class

import 'package:flutter/material.dart';
import 'package:photo_editor_pro/photo_editor_pro.dart';

void main() {
runApp(const MyApp());
}

class MyApp extends StatelessWidget {
   const MyApp({super.key});
      Widget build(BuildContext context) {
            return MaterialApp(
            title: 'Photo-Editor-Pro Demo',
        home: const MyHomePage(),
     );
    }
   }

class MyHomePage extends StatefulWidget {
const MyHomePage({super.key});


@override
State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {

@override
    Widget build(BuildContext context) {
        return Scaffold(
          appBar: AppBar(
             backgroundColor: Theme.of(context).colorScheme.inversePrimary,
             title: Text("Photo-Editor-Pro"),
        ),
           body:ImageSelectionPage(),
          );
        }
}


## Additional information

This is full package for edit Images and useful for developer who want to done functionality for Photo edit.

