library photo_editor_pro;


import 'dart:io';
import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:photo_editor_pro/image_editor_page.dart';





void main() {
  runApp(const ImageEditorExample());
}

class ImageEditorExample extends StatelessWidget {
  const ImageEditorExample({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: ImageSelectionPage(),
    );
  }
}


class ImageSelectionPage extends StatefulWidget {

  const ImageSelectionPage({super.key});

  @override
  State<ImageSelectionPage> createState() => _ImageSelectionPageState();
}

class _ImageSelectionPageState extends State<ImageSelectionPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            ElevatedButton(
              child: const Text("Take Picture"),
              onPressed: () async {
                var imagePicker = ImagePicker();
                var pickedFile = await imagePicker.pickImage(source: ImageSource.camera);
                if (pickedFile != null) {
                  var imageFile = File(pickedFile.path);
                  var bytes = await imageFile.readAsBytes();
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => ImageEditorPage([bytes]),
                    ),
                  );
                }
              },
            ),
            ElevatedButton(
              child: const Text("Open Image Picker"),
              onPressed: () async {
                var imagePicker = ImagePicker();
                var pickedFile = await imagePicker.pickImage(source: ImageSource.gallery);
                if (pickedFile != null) {
                  var imageFile = File(pickedFile.path);
                  var bytes = await imageFile.readAsBytes();
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => ImageEditorPage([bytes]),
                    ),
                  );
                }
              },
            ),
          ],
        ),
      ),
    );
  }
}


